uk.gov.hmrc.releaser.bintray

# DefaultBintrayRepoConnector

###
Related Doc: package bintray

#### class DefaultBintrayRepoConnector extends BintrayRepoConnector with Logger

Linear Supertypes
Logger, BintrayRepoConnector, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DefaultBintrayRepoConnector
2. Logger
3. BintrayRepoConnector
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new DefaultBintrayRepoConnector(workDir: Path, bintrayHttp: BintrayHttp, fileDownloader: FileDownloader)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### def downloadFile(url: String, fileName: String): Try[Path]

   Definition Classes
     DefaultBintrayRepoConnector → BintrayRepoConnector

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### def findFiles(version: VersionDescriptor): Try[List[String]]

    Definition Classes
      DefaultBintrayRepoConnector → BintrayRepoConnector

11. #### def findJar(jarFileName: String, jarUrl: String, version: VersionDescriptor): Option[Path]

    Definition Classes
      DefaultBintrayRepoConnector → BintrayRepoConnector

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def getRepoMetaData(repoName: String, artefactName: String): Try[Unit]

    Definition Classes
      DefaultBintrayRepoConnector → BintrayRepoConnector

14. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

15. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

16. #### val log: ConsoleLog

    Definition Classes
      Logger

17. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### final def notify(): Unit

    Definition Classes
      AnyRef

19. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

20. #### def publish(version: VersionDescriptor): Try[Unit]

    Definition Classes
      DefaultBintrayRepoConnector → BintrayRepoConnector

21. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

22. #### def toString(): String

    Definition Classes
      AnyRef → Any

23. #### def uploadFile(version: VersionDescriptor, filePath: Path, url: String): Try[Unit]

    Definition Classes
      DefaultBintrayRepoConnector → BintrayRepoConnector

24. #### def verifyTargetDoesNotExist(version: VersionDescriptor): Try[Unit]

    Definition Classes
      DefaultBintrayRepoConnector → BintrayRepoConnector

25. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Logger

### Inherited from BintrayRepoConnector

### Inherited from AnyRef

### Inherited from Any

### Ungrouped